package com.izouma.nineth.event;

import com.izouma.nineth.dto.NFTAccount;
import com.izouma.nineth.enums.PayMethod;
import org.springframework.context.ApplicationEvent;

/**
 * 异步处理转赠订单
 */
public class GiftOrderNotifyEvent extends ApplicationEvent {
    private final Long giftOrderId;
    private final String orderNo;
    private final PayMethod payMethod;
    private final String transactionId;

    public GiftOrderNotifyEvent(Object source, Long giftOrderId, String orderNo, PayMethod payMethod, String transactionId) {
        super(source);
        this.giftOrderId = giftOrderId;
        this.orderNo = orderNo;
        this.payMethod = payMethod;
        this.transactionId = transactionId;
    }

    public Long getGiftOrderId() {
        return giftOrderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public PayMethod getPayMethod() {
        return payMethod;
    }

    public String getTransactionId() {
        return transactionId;
    }
}
